<html>
<head>
	<title><?="AMCO Payment Data (".$start_date." To ".$to_date.") exported at ".date("Y-m-d h-i-sa", time()).".pdf";?></title>
</head>
<body style="font-family: Arial; line-height: 30px;">
<h1 style="text-align: center; color: #990000;"><u>Payment Data From <?=$start_date?> To <?=$to_date?> </u></h1>
<br/>
<br/>

<?php

if($total_data==0)
{
	echo "<h2 style='color: #ff0000; text-align: center;'>No Record Found in the Selected Date Range</h2>";
}else{


?>

<table class="table table-striped">
	<thead>
	<tr>
		<th scope="col">#</th>
		<th scope="col">Customer Name</th>
		<th scope="col">Customer Email</th>
		<th scope="col">AMCO AC NO</th>
		<th scope="col">Post Code</th>
		<th scope="col">Description</th>
		<th scope="col">Service Type</th>
		<th scope="col">Nominal Code</th>
		<th scope="col">Frequency</th>

		<th scope="col">Stripe Customer ID</th>
		<!--th scope="col">Payment<br/>Intent</th-->


		<!--th scope="col">Subscription ID</th-->
		<th scope="col">Package Name</th>
		<th scope="col">Subscription<br/>Status</th>
		<!--th scope="col">Subscription<br/>Started on</th-->
		<th scope="col">Subscription<br/>Expiry</th>

		<!--th scope="col">Payment<br/>To Pay</th-->
		<th scope="col">Payment<br/>Status</th>
		<th scope="col">Amount<br/>Paid</th>
		<th scope="col">Paid On</th>
	</tr>
	</thead>
	<tbody>
	<?php
	$i=1;
	foreach($payment_data as $app)
	{
		//cust_name, email, amco_ac_no, postcode, customer_id, description, service_types, nominal_code, frequency, subscription_id, package_name, subscription_status,
		// subscription_starts, subscription_expiry, payment_intent, amount_to_pay, payment_status, amount_paid, paid_at
		echo '<tr>';
		echo '<th scope="row">'.$i.'</th>';
		if($app->customer_id!="")
		{
			echo '<td><a style="color: #242d60;" target="_blank" href="https://dashboard.stripe.com/test/customers/'.$app->customer_id.'"> '.$app->cust_name.'</a></td>';

		}else{
			echo '<td> '.$app->cust_name.'</td>';

		}

		echo '<td>'.$app->email.'</td>';
		echo '<td>'.$app->amco_ac_no.'</td>';
		echo '<td>'.$app->postcode.'</td>';
		echo '<td>'.$app->description.'</td>';
		echo '<td>'.$app->service_types.'</td>';
		echo '<td>'.$app->nominal_code.'</td>';
		echo '<td>'.$app->frequency.'</td>';

		echo '<td>'.$app->customer_id.'</td>';
		//echo '<td>'.$app->payment_intent.'</td>';

		//echo '<td>'.$app->subscription_id.'</td>';
		echo '<td>'.$app->package_name.'</td>';
		echo '<td>'.$app->subscription_status.'</td>';
		//echo '<td>'.$app->subscription_starts.'</td>';
		echo '<td>'.$app->subscription_expiry.'</td>';
		//echo '<td>'.$app->amount_to_pay.'</td>';

		//echo '<td>'.$app->payment_status.'</td>';
		if($app->payment_status=="paid")
		{
			//https://dashboard.stripe.com/test/payments/pi_3O58yID09o957qPw1n4ijcsb

			if($app->payment_intent!="")
			{
				echo '<td style="color: #009900; font-weight: bold;"><a target="_blank" style="color: #009900;" href="https://dashboard.stripe.com/test/payments/'.$app->payment_intent.'"> '.strtoupper($app->payment_status).'</a> </td>';
			}else{
				echo '<td style="color: #009900;">'.strtoupper($app->payment_status).'</td>';
			}


		}else{
			echo '<td style="color: #ff036c;">'.strtoupper($app->payment_status).'</td>';
		}

		echo '<td>'.$app->amount_paid.'</td>';
		echo '<td>'.$app->paid_at.'</td>';




		echo '</tr>';
		$i++;
	}

	?>

	</tbody>
</table>


<?php } ?>



<br/>







</body>
</html>
