<?php
$page_title="Admin List";

require_once 'header.php';

?>

<div class="row">
	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>

	<div class="col-lg-8 col-md-10 col-sm-12">
		<!--content Starts-->
<?php
require_once 'nav-bar.php';
?>

<br/>

		<div style="text-align: center; margin: auto; max-width: 480px;">



			<form class="form-control" method="post" action="<?=site_url('/admin/add_an_admin')?>">

				<h5>Add/Create A New Admin</h5>

				<input class="form-control" required type="text" placeholder="Admin Username" name="username" autocomplete="off" aria-label="User Name">

				<input class="form-control" required type="text" placeholder="Admin Email" name="email" autocomplete="off" aria-label="Admin Email">
				<input class="form-control" required type="text" placeholder="Admin Password" name="password" autocomplete="off" aria-label="Admin Password">

				<input class="form-control" required type="text" placeholder="Admin Name" name="name" autocomplete="off" aria-label="Admin Name">

				<input class="form-control" required type="text" placeholder="Admin Phone" name="phone" autocomplete="off" aria-label="Admin Phone">

				<select class="form-control" name="user_level" required>
					<option value="admin">Admin (Sales Team)</option>
					<option value="owner">Accounts Manager/s (Owner)</option>
				</select>

				<br/>
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Add New Admin</button>

			</form>
			<script>



			</script>


		</div>

	</div>

	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>





	<div class="col-lg-1">
		<!--left side bar-->
	</div>

	<div class="col-lg-10 col-md-12 col-sm-12" style="text-align: center;">
		<!--content Starts-->

		<br/>
		<?php
		if(isset($_GET['added']) && $_GET['added']=="success")
		{
			echo "<br/><h4 style='color: #009900; font-weight: bold;'>New Admin Has Been Added</h4>";
		}

		if(isset($_GET['added']) && $_GET['added']=="failed")
		{
			echo "<br/><h4 style='color: #ff0000; font-weight: bold;'>Failed To Add The Admin</h4>";
		}



		if(isset($_GET['remove']) && $_GET['remove']=="success")
		{
			echo "<br/><h4 style='color: #ff0000; font-weight: bold;'>An Admin Has Been Removed</h4>";
		}

		if(isset($_GET['remove']) && $_GET['remove']=="failed")
		{
			echo "<br/><h4 style='color: #ff0000; font-weight: bold;'>Failed To Remove The Admin</h4>";
		}
		?>
		<br/>
		<h4 style="text-align: center;">Admin List</h4>
		<br/>
		<!--Main table Content starts-->



<?php
if($total_admin==0)
{
	echo "<h3>No Admin found</h3>";
}else{

	//echo "<pre>";
	//var_dump($payment_data);
	//echo "</pre>";
	?>


		<table class="table table-striped">
			<thead>
			<tr>
				<th scope="col">#</th>
				<th scope="col">Username</th>
				<th scope="col">Email</th>
				<th scope="col">Name</th>
				<th scope="col">Phone</th>

				<!--<th scope="col">State</th>-->
				<th scope="col">User Level</th>

				<th scope="col">Remove</th>
			</tr>
			</thead>
			<tbody>
			<?php
$i=1;
			foreach($admin_data as $app)
			{
				echo '<tr>';
				echo '<th scope="row">'.$i.'</th>';
				echo '<td>'.$app->username.'</td>';
				echo '<td>'.$app->email.'</td>';
				echo '<td>'.$app->name.'</td>';
				echo '<td>'.$app->phone.'</td>';
				echo '<td>'.$app->user_level.'</td>';
				echo '<td><a class="confirmation" href="'.site_url('admin/remove_admin/').$app->id.'">Remove</a></td>';

				echo '</tr>';
				$i++;
			}

			?>

			</tbody>
		</table>


	<script type="text/javascript">
		$('.confirmation').on('click', function () {
			return confirm('Are you sure want to Remove the Admin?');
		});
	</script>


		<?php } ?>
<!--Main Table Content Ends here-->




	</div><!--content Ends-->

	<div class="col-lg-1">
		<!--left side bar-->
	</div>



</div>


<?php
require_once 'footer.php';
?>

