<?php
$page_title="One-Time Service List";

require_once 'header.php';

?>

<div class="row">
	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>

	<div class="col-lg-8 col-md-10 col-sm-12">
		<!--content Starts-->
<?php
require_once 'nav-bar.php';
?>

<br/>
		<h4 style="text-align: center;">One-Time Service List</h4>
		<div style="text-align: center; margin: auto; max-width: 480px;">
			<form class="form-inline my-2 my-lg-0" method="get" action="<?=site_url('/admin/one_time_service')?>">

				<input class="form-control mr-sm-2" type="text" placeholder="Customer Name" name="cust_name" autocomplete="off" aria-label="Customer Name">

				<input class="form-control mr-sm-2" type="text" placeholder="AMCO Account No." name="amco_ac_no" autocomplete="off" aria-label="AMCO Account No.">

				<input class="form-control mr-sm-2" type="text" placeholder="Post Code" name="postcode" autocomplete="off" aria-label="Post Code">

				<input class="form-control mr-sm-2" type="text" id="datepicker_1" placeholder="Payment On" name="paid_at" autocomplete="off" aria-label="Search by Date">
				<br/>

				<input class="form-control mr-sm-2" type="text" id="datepicker_2" placeholder="Paid Date From" name="paid_at_from" autocomplete="off" aria-label="From Date of Payment">
				<input class="form-control mr-sm-2" type="text" id="datepicker_3" placeholder="Paid Date To" name="paid_at_to" autocomplete="off" aria-label="To Date of Payment">

				<br/>
				<br/>
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>

			</form>
			<script>
				$("#search_form").submit(function (){
					var start_date=$("#datepicker_2").val();
					var to_date=$("#datepicker_3").val();

					if(start_date!="" || to_date!="")
					{
						if (start_date=="")
						{
							alert("Please select the 'Paid Date From'.");
							$("#datepicker_2").focus();
							return false;
						}else if(to_date=="")
						{
							alert("Please select the 'Paid Date To'.");
							$("#datepicker_3").focus();
							return false;
						}

						if(start_date > to_date)
						{
							alert("'Paid Date To' should be larger than the 'Paid Date From' ");
							$("#datepicker_3").focus();
							return false;
						}
					}
				});


				$( function() {
					$( "#datepicker_1" ).datepicker({
						changeMonth: true,
						changeYear: true,
						dateFormat: "yy-mm-dd",
					});
					$( "#datepicker_2" ).datepicker({
						changeMonth: true,
						changeYear: true,
						dateFormat: "yy-mm-dd",
					});
					$( "#datepicker_3" ).datepicker({
						changeMonth: true,
						changeYear: true,
						dateFormat: "yy-mm-dd",
					});
				} );
				/*$( function() {
					$( "#datepicker_2" ).datepicker({
						changeMonth: true,
						changeYear: true,
						dateFormat: "yy-mm-dd",
					});
				} );*/
			</script>
		</div>

	</div>

	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>





	<div class="col-lg-1">
		<!--left side bar-->
	</div>

	<div class="col-lg-10 col-md-12 col-sm-12" style="text-align: center;">
		<!--content Starts-->

		<br/>
		<!--Main table Content starts-->



<?php
if($total_appt==0)
{
	echo "<h3>No Subscription found</h3>";
}else{

	//echo "<pre>";
	//var_dump($payment_data);
	//echo "</pre>";
	?>


		<table class="table table-striped">
			<thead>
			<tr>
				<th scope="col">#</th>
				<th scope="col">Name</th>
				<th scope="col">Email</th>
				<th scope="col">AMCO AC NO</th>
				<th scope="col">Post Code</th>

				<!--<th scope="col">State</th>-->
				<th scope="col">Nominal Code</th>
				<th scope="col">Frequency</th>
				<th scope="col">Payment<br/>Intent</th>

				<th scope="col">Payment<br/>Status</th>
				<th scope="col">Amount<br/>Paid</th>

				<th scope="col">Paid On</th>
				<th scope="col">View<br/>Details</th>
			</tr>
			</thead>
			<tbody>
			<?php
$i=1;
			foreach($payment_data as $app)
			{
				echo '<tr>';
				echo '<th scope="row">'.$i.'</th>';
				echo '<td><a style="color: #242d60;" target="_blank" href="https://dashboard.stripe.com/test/subscriptions/'.$app->subscription_id.'"> '.$app->cust_name.'</a></td>';
				echo '<td>'.$app->email.'</td>';
				echo '<td>'.$app->amco_ac_no.'</td>';
				echo '<td>'.$app->postcode.'</td>';

				/*echo '<td>'.$app->state.'</td>';*/
				echo '<td>'.$app->nominal_code.'</td>';
				echo '<td>'.$app->frequency.'</td>';
				echo '<td><a style="color: #242d60;" target="_blank" href="https://dashboard.stripe.com/test/payments/'.$app->payment_intent.'">'.$app->payment_intent.'</a></td>';//

				echo '<td>'.$app->payment_status.'</td>';
				echo '<td>£'.$app->amount_paid.'</td>';

				echo '<td>'.$app->paid_at.'</td>';
				echo '<td><a href="'.site_url('admin/one_time_service_details/').$app->id.'">View</a></td>';




				echo '</tr>';
				$i++;
			}

			?>

			</tbody>
		</table>



		<?php } ?>
<!--Main Table Content Ends here-->




	</div><!--content Ends-->

	<div class="col-lg-1">
		<!--left side bar-->
	</div>



</div>


<?php
require_once 'footer.php';
?>

